!(function () {
  var a = getApp();
  getApp();
  Page({
    data: { serviceSumCount: 0, serviceSumMoney: 0 },
    onLoad: function (a) {
      this.getDetail(a.orderid);
    },
    getDetail: function (t) {
      var o = this,
        n = { orderid: t };
      a.getdata(n, "carwzcxid").then((a) => {
        if ((console.log("回调数据：", a), a)) {
          o.setData({ cardata: a.data });
          var t = JSON.parse(a.data.record);
          console.log(t), o.setData({ records: t });
        }
      });
    },
    onReady: function () {},
    onShow: function () {},
    onHide: function () {},
    onUnload: function () {},
    onPullDownRefresh: function () {},
    onReachBottom: function () {},
    onShareAppMessage: function () {
      return {
        title: this.data.cardata.cars + "维修保养查询报告",
        path: "/pages/carwzcx/carcxjl?seriousno=" + this.data.cardata.seriousno,
      };
    },
    onShareTimeline: function () {
      return {
        title: this.data.cardata.cars + "维修保养查询报告",
        path: "/pages/carwzcx/carcxjl?seriousno=" + this.data.cardata.seriousno,
      };
    },
  });
})();
